| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iUserRenderBufferIterator Struct Reference

Interface to iterate over all buffers stored in a csUserRenderBufferManager. More...

`#include <cstool/userrndbuf.h>`

Inheritance diagram for iUserRenderBufferIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext ()=0
| Whether a next buffer is available.
virtual csStringID | Next (csRef< iRenderBuffer > *buf=0)=0
| Get name of next buffer and optionally the buffer.
virtual void | Reset ()=0
| Rewind to beginning.

## Detailed Description

Interface to iterate over all buffers stored in a csUserRenderBufferManager.

Definition at line 36 of file userrndbuf.h.

## Member Function Documentation

virtual bool iUserRenderBufferIterator::HasNext | ( |  | ) | `[pure virtual]`

Whether a next buffer is available.

virtual csStringID iUserRenderBufferIterator::Next | ( | csRef< iRenderBuffer > * | buf = `0` | ) | `[pure virtual]`

Get name of next buffer and optionally the buffer.

virtual void iUserRenderBufferIterator::Reset | ( |  | ) | `[pure virtual]`

Rewind to beginning.

The documentation for this struct was generated from the following file:

- cstool/userrndbuf.h